body, html {
    height: 100%;
}

.bg { 
    /* The image used */
    background-image: url("../images/background_black.jpg");
    /*background-image: url("../images/background_road.jpg");*/
    /* Full height */
    height: 100%; 
    /* Center and scale the image nicely */
    background-position: center;
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
}

.theme-showcase {
    font-size: 16px;
    background-color: #0e0c0c;
    background-size: 100% 100%;
    /* Full height */
    height: 100%;
    min-height: 100%;
    background-attachment: fixed;
    overflow: auto;
    color: lightgrey;
    /*margin: auto;*/
}

.containerimgback {
    position: relative;
    /*max-width: 800px; !* Maximum width *!*/
    margin: 0 auto; /* Center it */
}

.containerimgback .content {
    position: absolute; /* Position the background text */
    top: 0; /* At the bottom. Use top:0 to append it to the top */
    background: rgb(0, 0, 0); /* Fallback color */
    background: rgba(0, 0, 0, 0.5); /* Black background with 0.5 opacity */
    color: #f1f1f1; /* Grey text */
    width: 100%; /* Full width */
    padding: 20px; /* Some padding */
}

.table-borderless > tbody > tr > td,
.table-borderless > tbody > tr > th,
.table-borderless > tfoot > tr > td,
.table-borderless > tfoot > tr > th,
.table-borderless > thead > tr > td,
.table-borderless > thead > tr > th {
    border: none;
}

.imgright {
    float: right;
}

.img-centered {
    display: block;
    margin-left: auto;
    margin-right: auto;
    max-width: 100%;
    height:auto;
    /*width: 50%;*/
}

.flip-box {
    background-color: transparent;
    width: 300px;
    height: 300px;
    /*border: 1px solid #f1f1f1;*/
    perspective: 1000px;
}

.flip-box-inner {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    transition: transform 0.8s;
    transform-style: preserve-3d;
}

.flip-box:hover .flip-box-inner {
    transform: rotateY(180deg);
}

.flip-box-front, .flip-box-back {
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.flip-box-front {
    background-color: #0e0c0c;
    color: #bbb;
}

.flip-box-back {
    background-color: #1e2023;
    color: white;
    font-size: smaller;
    border: 3px solid dimgray;
    padding-top: 0;
    padding-left: 10px;
    padding-right: 10px;
    transform: rotateY(180deg);
}

.col-centered {
    float: none;
    margin: 0 auto;
    min-width: 300px;
}

.min-w-300 {
    min-width: 300px;
}

.wrapper {
    min-height: 100%;
    margin-bottom: -25px;
}
.ve-page-footer,
.push {
    height: 25px;
}

.ve-page-footer {
    position: sticky;
    bottom:0; left: 0; right: 0;
    /*width:100%;*/
    /*height: auto;*/
    background-color: #0e0c0c;
    color: #909090;
    text-align: center;
}

div.ve-page-footer p {
    text-align: center;
    vertical-align: middle;
    font-size: small;
    height: 100%;
}

div.ve-page-footer a {
    cursor: text;
    color: #909090;
}
div.ve-page-footer a:link {
    text-decoration: none;
}
div.ve-page-footer a:visited {
    text-decoration: none;
}
div.ve-page-footer a:hover {
    text-decoration: none;
}
div.ve-page-footer a:active {
    text-decoration: none;
}

.row.is-flex {
    display: flex;
    flex-wrap: wrap;
}
.row.is-flex > [class*='col-'] {
    display: flex;
    flex-direction: column;
}

/*
* And with max cross-browser enabled.
* Nobody should ever write this by hand.
* Use a preprocesser with autoprefixing.
*/
.row.is-flex {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

.row.is-flex > [class*='col-'] {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
}

.div-margins-5px {
    margin-right: 5px;
    margin-left: 5px;
    margin-top: 5px;
}

#pagination {
    font-size: 90%;
    text-align: center;
    width: 100%;
    background: whitesmoke; 
    padding-top: 10px;
    border-top: 1px solid darkgrey;
}

.imguvodnilogo {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 50%;
    /*top: 25%;*/
    /*left: 25%;*/
    /*width: 50%;*/
    /*!*height: 50%;*!*/
}

@keyframes go-up-down {        /* give it a name: "go-left-right" */
    from { top: -50%; }             /* animate from left: 0px */
    to { top: 50%; }    /* animate to top: 50%-50px */
}

@keyframes go-left-right-delay {        /* give it a name: "go-left-right" */
    0% { left: -50%; top: -50% }             /* animate from left: 0px */
    /*70% { left: -50%; top: -50% }             !* animate from left: 0px *!*/
    100% { left: 50%; top: 50% }    /* animate to top: 50%-50px */
}

@keyframes fadein {
    0% { opacity: 0; }
    100%   { opacity: 1; }
}

@keyframes fadeindelay {
    0% { opacity: 0; }
    65% { opacity: 0; }
    100% { opacity: 1; }
}
@keyframes spin {
    0% { transform: rotate(0deg); translate(-50%, -50%);}
    100% { transform: rotate(360deg); translate(-50%, -50%);}
}

.imguvodnilogo-part1 {
    /*animation: spin 4s linear;*/
}

.imguvodnilogo-part2 {
    animation: 7s ease 0s normal forwards 1 fadein;
}

.imguvodnilogo-part3 {
    animation: go-up-down 4s ease-in;
}

.imguvodnilogo-part4 {
    animation: 6s ease 0s normal forwards 1 go-left-right-delay;
}

.imguvodnilogo-part5 {
    animation: 10s ease 0s normal forwards 1 fadeindelay;
}

.imguvodnilogowithmenu {
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, 0%);
    width: 50%;
}

.jumbotronve {
    /*color: #B27B51;*/
    /*padding: 2rem 1rem;*/
    /*margin-bottom: 2rem;*/
    /*border-radius: 0.3rem;*/
    height: 184px;
    /*width: 100%;*/
    background: black url("../images/clenove_zady.png") no-repeat center center;
    -webkit-background-size: 100%;
    -moz-background-size: 100%;
    -o-background-size: 100%;
    background-size: 100%;
    /*-webkit-background-size: cover;*/
    /*-moz-background-size: cover;*/
    /*-o-background-size: cover;*/
    /*background-size: cover;*/
}

.alert-warning {
    background-image: none !important;
    border-color: #f5d114;
    background-color: #f5d114;
}

.alert-danger {
    background-image: none !important;
    border-color: #ea2929;
    background-color: #ea2929;
}

.panel-warning>.panel-heading {
    background-image: none !important;
}
.panel-danger>.panel-heading {
    background-image: none !important;
}
.panel-success>.panel-heading {
    background-image: none !important;
}
.panel-info>.panel-heading {
    background-image: none !important;
}

.panel-dark-back {
    background-color: #0e0c0c;
}

.btn-default {
    text-shadow: 0 1px 0 #fff;
    background-image: none !important;
    /*filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffffff', endColorstr='#ffe0e0e0', GradientType=0);*/
    /*filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);*/
     border-color: darkslategray;
}

.skrtnuto {
    text-decoration: line-through;
}

@media screen and (max-width: 600px) {
    .jumbotronve {
        background-image: none;
    }
    div.ve-page-footer p {
        font-size: xx-small;
    }

}

h1,h3.jumbotronve-caption {
    font-weight: bold;
    color: #B27B51;
    /*text-shadow: 3px 3px 6px #FFFFFF;*/
}

.jumbotronbg {
    position: relative;
    width: 100%;
    height: 100%;
    max-width: none;
}

.jumbotronlogo {
    position: inherit;
    float: right;
    right: 5px;
    top: 15px;
    height: 170px;
    width: 170px;
}

.ve-clanek {

}

div.ve-clanek p {
    text-align: justify;
}

#rightdiv {
    float: right;
}

#searchpanel {
    padding-right: 15px;
    padding-left: 15px;
    padding-bottom: 15px;
    margin-right: auto;
    margin-left: auto;
}

#imagelistthn {
    max-width:128px;    
}

th#rezerv {
    text-align: center;
}
td#rezerv {
    text-align: center;
}

div#toright {
    width:20px;
    float:right;
}

/*Galerie*/
.gal-row > .gal-column {
    padding: 0 8px;
}

.gal-row:after {
    content: "";
    display: table;
    clear: both;
}

/* Create four equal columns that floats next to eachother */
.gal-column {
    float: left;
    width: 25%;
}

/* Caption text */
.gal-caption-container {
    position: fixed;
    text-align: center;
    background-color: black;
    padding: 2px 16px;
    color: white;
    bottom: 10px;
    left: 50%;
    transform: translate(-50%, 0%);
    z-index: 20;
}

div.gal-caption-container p {
    margin: auto;
    vertical-align: middle;
}
.gal-caption {
    text-align: center;
    font-size: small;
}

div.gal-caption p {
    text-align: center;
    margin: auto;
    vertical-align: middle;
}

img.gal-hover-shadow {
    transition: 1s;
}

.gal-hover-shadow:hover {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(168, 168, 168, 0.19);
}

/*Kalendář*/
.kal-tabulka {
    background-color: black;
    table-layout: fixed;
}

.kal-tabulka td {
    padding: 0 3px 1px !important;
}

.kal-tabulka a {
    text-decoration: none;
}

.kal-den {
    width: 100%;
    height: 100%;
    min-height: 80px;
    background-color: black;
}

.kal-den-datum {
    font-size: small;
    color: #7d838f;
    padding-left: 3px;
}

.kal-den-datum label {
    margin: 0;
}

.kal-den-datum-dnes {
    background-color: #c3bfbf;
    /*background-color: #205406;*/
    color: #4a0404;
}

.kal-den-nadpis {
    color: #9da4ae;
    font-size: x-small;
    text-align: center;

}

.kal-udalost {
    background-color: #0000cc;
}

.kal-udalost-nadpis {
    margin-left: 3px;
    padding-left: 2px;
    background-color: #010735;
    font-size: small;
    font-weight: bold;
}

.kal-udalost-ikona {
    position: relative;
    float: right;
    margin-right: 4px;
    margin-top: 1px;
}

.kal-udalost-telo {
    margin-left: 3px;
    padding-left: 2px;
    color: #c7d7e0;
    background-color: #040f39;
    font-size: x-small;
}

.kal-den-vikend td {
    background-color: darkred;
}
/*Kalendář - konec */
/* Tooltipy */
/* Tooltip container */
.tooltip {
    position: relative;
    display: inline-block;
    border-bottom: 1px dotted black; /* If you want dots under the hoverable text */
}

/* Tooltip text */
.tooltip .tooltiptext {
    visibility: hidden;
    width: 120px;
    background-color: #555;
    color: #fff;
    text-align: center;
    padding: 5px 0;
    border-radius: 6px;

    /* Position the tooltip text */
    position: absolute;
    z-index: 1;
    bottom: 125%;
    left: 50%;
    margin-left: -60px;

    /* Fade in tooltip */
    opacity: 0;
    transition: opacity 0.3s;
}

/* Tooltip arrow */
.tooltip .tooltiptext::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #555 transparent transparent transparent;
}

/* Show the tooltip text when you mouse over the tooltip container */
.tooltip:hover .tooltiptext {
    visibility: visible;
    opacity: 1;
}
/* Tooltipy - konec*/

/* Vložená videa */
.videoWrapper {
    position: relative;
    padding-bottom: 56.25%; /* 16:9 */
    height: 0;
}

.videoWrapper iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
/* Vložená videa - konec */